routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'SiteController@index')->name('inicio');
Route::get('/pg/{destaque}/{pagina}', 'SiteController@pagina')->name('pagina');
Route::get('/sobre', 'SiteController@sobre')->name('sobre');
Route::get('/profissionais-parceiros', 'SiteController@profissionaisParceiros')->name('profissionais-parceiros');
Route::get('/posts', 'SiteController@posts')->name('posts');
Route::get('/especialidades', 'SiteController@especialidades')->name('especialidades');
Route::get('/posts/{slug}', 'SiteController@postagem')->name('posts.postagem');
Route::get('/contato', 'SiteController@contato')->name('contato');
Route::post('/enviar-email', 'SiteController@enviarEmail')->name('enviar-email');

Route::get('erro', function(){
	return view('site/404');
})->name('erro');


Auth::routes();
Route::get('/home', 'HomeController@index')->name('home');

Auth::routes();
Route::resource('admin/posts', 'PostsController');

Auth::routes();
Route::get('/home', 'HomeController@index')->name('home');

Auth::routes();
Route::resource('admin/especialidades', 'EspecialidadesController');


Auth::routes();
Route::resource('admin/destaques', 'DestaquesController');

app/Post.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Str;
use Carbon\Carbon;

class Post extends Model
{

	protected $table    = 'posts';
	protected $fillable = [
		'capa',
		'data_hora',
		'titulo',
		'subtitulo',
		'texto',
		'slug',
		'visualizacoes'
	];

	public static function boot()
	{
		parent::boot();

		static::saving(function($model)
		{
        	//dd(Str::slug($model->titulo, '-'));
			$model->slug =  Str::slug($model->titulo, '-');;
			return true;
		});
	}


	public function getDataHoraAttribute($value)
	{
		if($value){
			$data = str_replace('/', '-', $value);
			return date('d/m/Y', strtotime($data));

		}
	}

	public function setDataHoraAttribute($value)
	{
		if($value){
			$data = str_replace('/', '-', $value);

			$this->attributes['data_hora'] =  date('Y-m-d', strtotime($data));
		}
	}

	public function getCreatedAtAttribute($value)
	{
		if($value){
			$data = str_replace('/', '-', $value);
			return date('d/m/Y H:i:s', strtotime($data));
		}
	} 

	public function getDataHoraExtensoAttribute()
	{
		setlocale(LC_ALL, 'pt_BR', 'pt_BR.iso-8859-1', 'pt_BR.utf-8', 'portuguese');
		
		
		return Carbon::parse(date('Y-m-d', strtotime($this->attributes['data_hora'])))->formatLocalized('%d de %B de %Y');
	}

	public function getImagemAttribute()
	{
		if($this->capa != null){
			return asset('imagem/thumbnail/'.$this->capa);
		}else{
			return asset('imagem/site/default-image.jpg');
		}
	}

	public function getParteDescricaoAttribute(){
		if($this->texto)
			
			return mb_substr(strip_tags(html_entity_decode($this->texto)), 0, 300, "utf-8" ) . ' ...';
		else
			return null;
	}	

	public function getParteDescricaoMaiorAttribute(){
		if($this->texto)
			return mb_substr(strip_tags(html_entity_decode($this->texto)), 0, 550, "utf-8" ) . ' ...';
		else
			return null;
	}

}

app/Http/Controllers/SiteController.php
<?php

namespace App\Http\Controllers;

use App\Destaques;
use App\Especialidades;
use Illuminate\Http\Request;
use App\Post;
use App\Mail\Contato;
use Illuminate\Support\Facades\Mail;

class SiteController extends Controller
{

    public function index()
    {
        $posts = Post::orderBy('id', 'desc')->take(3)->get();
        
        return view("site/index", compact('posts'));
    }

    public function pagina($destaque_numero, $pagina)
    {
        $destaque = Destaques::first();

        switch ($destaque_numero) {
            case '1':
                $imagem = $destaque->getImagemn1Attribute();
                $titulo = $destaque->titulo_1;
                $subtitulo = $destaque->subtitulo_1;
                $texto = $destaque->texto_1;
                break;

            case '2':
                $imagem = $destaque->getImagemn2Attribute();
                $titulo = $destaque->titulo_2;
                $subtitulo = $destaque->subtitulo_2;
                $texto = $destaque->texto_2;
                break;

            case '3':
                $imagem = $destaque->getImagemn3Attribute();
                $titulo = $destaque->titulo_3;
                $subtitulo = $destaque->subtitulo_3;
                $texto = $destaque->texto_3;
                break;

            case '4':
                $imagem = $destaque->getImagemn4Attribute();
                $titulo = $destaque->titulo_4;
                $subtitulo = $destaque->subtitulo_4;
                $texto = $destaque->texto_4;
                break;
        }

        return view("site/destaque", compact('imagem', 'titulo','subtitulo','texto'));
    }

    public function sobre()
    {
        return view("site/sobre");
    }

    public function especialidades()
    {
        $especialidades = Especialidades::where('pagina', 'especialidades')->first();

        return view("site/especialidades", compact('especialidades'));
    }

    public function profissionaisParceiros()
    {
        return view("site/profissionais-parceiros");
    }


    public function posts()
    {
        $posts = Post::orderBy('id', 'desc')->paginate(9);

        return view("site/posts", compact('posts'));
    }

    public function postagem($slug)
    {

        try {
            $post = Post::whereSlug($slug)->first();

            if ($post) {
                return view("site/postagem", compact('post'));
            } else {
                //return view('siteTema::erro');
            }
        } catch (QueryException $e) {
            // return view('siteTema::erro');
        }
    }

    public function contato()
    {
        return view("site/contato");
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function enviarEmail(Request $request)
    {
        $secret = "6Lfe8cEZAAAAAMf-XbCqLvckjMmeHvXwxCSGcrFK";

        $verifyResponse = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret . '&response=' . $request->captcha);
        $responseData = json_decode($verifyResponse);

        if ($responseData->success) {
            Mail::to("serd.jr@gmail.com")->send(new Contato($request->nome, $request->email, $request->assunto, $request->mensagem));

            if (Mail::failures()) {
                return redirect()->back()->with('error', 'Não foi possível enviar a mensagem! Tente novamente!');
            } else {
                return redirect()->back()->with('success', 'Mensagem enviada com sucesso!');
            }
        } else {
            return redirect()->back()->with('error', 'Não foi possível enviar sua mensagem!');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/site/404.blade.php
@extends('site.tema.base')
@section('conteudo')
<div class="container" style="height: 90%">

					<section class="page-not-found">
						<div class="row justify-content-center">
							<div class="col-lg-7 text-center">
								<div class="page-not-found-main">
									<h2>404 <i class="fas fa-file"></i></h2>
									<p>Essa página que você está procurando não existe</p>
								</div>
							</div>
							<div class="col-lg-4">
								<h4 class="heading-primary">Alguns links úteis</h4>
								<ul class="nav nav-list flex-column">
									<li class="nav-item"><a class="nav-link" href="{{ route('inicio') }}">Início</a></li>
									<li class="nav-item"><a class="nav-link" href="{{ route('posts') }}">Posts</a></li>
									<li class="nav-item"><a class="nav-link" href="{{ route('contato') }}">Contato</a></li>
									
								</ul>
							</div>
						</div>
					</section>

				</div>
@endsection

resources/views/site/contato.blade.php
@section('titulo')
Contato
@endsection

@extends('site.tema.base')
@section('conteudo')
<div class="container">
	<div class="row pt-5">
		<div class="col-lg-7">
			<h1 class="mb-0">Contato</h1>
			<div class="divider divider-primary divider-small mb-4">
				<hr class="mr-auto">
			</div>

			@if (Session::get('success'))
			<div class="alert alert-success mt-4" >
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
				{{ Session::get('success') }}
			</div>
			@endif

			@if (Session::get('error'))
			<div class="alert alert-danger d-none mt-4">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
				{{ Session::get('error') }}
			</div>
			@endif


			<form id="contactForm" action="{{ route('enviar-email') }}" method="post" >
				<input type="hidden" name="_token" value="{{ csrf_token() }}">
				<div class="form-row">
					<div class="form-group col-lg-6">
						<label>Nome *</label>
						<input type="text" value="" data-msg-required="Digite o seu nome" maxlength="100" class="form-control" name="nome" id="name" required="">
					</div>
					<div class="form-group col-lg-6">
						<label>E-mail *</label>
						<input type="email" value="" data-msg-required="Digite o seu e-mail" data-msg-email="Digite um e-mail válido" maxlength="100" class="form-control" name="email" id="email" required="">
					</div>
				</div>
				<div class="form-row">
					<div class="form-group col">
						<label>Assunto *</label>
						<input type="text" value="" data-msg-required="Digite o assunto" maxlength="100" class="form-control" name="assunto" id="subject" required="">
					</div>
				</div>
				<div class="form-row">
					<div class="form-group col">
						<label>Mensagem *</label>
						<textarea maxlength="5000" data-msg-required="Digite a mensagem" rows="5" class="form-control" name="mensagem" id="message" required=""></textarea>
					</div>
				</div>
				<input type="hidden" name="captcha" value="" id="captcha">

				<div class="form-row">
					<div class="form-group col">
						<input type="submit" value="Enviar" class="btn btn-primary btn-lg" data-loading-text="Loading...">
					</div>
				</div>
			</form>

		</div>
		<div class="col-lg-4 col-lg-offset-1">
			<h4 class="pt-4 mb-0">Atendimento</h4>
			<div class="divider divider-primary divider-small mb-4">
				<hr class="mr-auto">
			</div>
			<ul class="list list-icons list-dark mt-4">
				<li><i class="fas fa-home"></i> Atendimento domiciliar</li>
				<li><i class="fas fa-user"></i> Atendimento em consultório</li>

				<li><i class="fas fa-desktop"></i> Atendimento online (profissional cadastrado no sistema e-Psi de acordo com a Resolução CFP nº 011/2018)</li>

			</ul>

			<div class="divider divider-primary divider-small mb-4">
				<hr class="mr-auto">
			</div>
			<ul class="list list-icons list-icons-style-3 mt-4 mb-4">

				<li><i class="fab fa-whatsapp"></i> <strong>Telefone:</strong> (51) 9 9684-7135</li>
				<li><i class="far fa-envelope"></i> <strong>Email:</strong> serd.jr@gmail.com </li>
				<li><i class="fas fa-map-marker-alt"></i> <strong>Endereço: </strong>Avenida Independência, número 925, sala 1009, Bairro Independência, Porto Alegre. 
					CEP 90035-076
					</li>
			</ul>
			<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3454.2517821737574!2d-51.213886485400955!3d-30.029633681887734!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x951979ae0ec68ecd%3A0xcb89a4dc85449d27!2sAv.%20Independ%C3%AAncia%2C%20925%20-%20Independ%C3%AAncia%2C%20Porto%20Alegre%20-%20RS%2C%2090035-076!5e0!3m2!1spt-BR!2sbr!4v1637670632384!5m2!1spt-BR!2sbr" width="100%" height="150" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
		</div>
	</div>
</div>

<script src="https://www.google.com/recaptcha/api.js?render=6Lfe8cEZAAAAAAcBHT1DtTcEp8BcQx5-SYo9CUma"></script>
<script type="text/javascript">
	
	grecaptcha.ready(function() {
		grecaptcha.execute('6Lfe8cEZAAAAAAcBHT1DtTcEp8BcQx5-SYo9CUma').then(function(token) {
			
			if(token){
				
				$('#captcha').val(token);
				return true;
			}
		});
	});

</script>
@endsection

resources/views/site/destaque.blade.php
@section('titulo')
    {{ $titulo }}
@endsection

@section('css')
    <link rel="preload" href="{{ asset('css/magnific-popup.css') }}" type="text/css" defer />
@endsection

@extends('site.tema.base')
@section('conteudo')
    <div class="container">
        <div class="row pt-5">

            <div class="col-lg-12" style="font-family: 'Raleway', sans-serif !important;">
                <h1 class="mb-0">{{ $titulo }}
                </h1>
                @if (isset($subtitulo))
                    <div class="post-meta mt-3">
                        <h6>{{ $subtitulo }}</h6>
                    </div>
                @endif
                <div class="divider divider-primary divider-small mb-4">
                    <hr class="mr-auto">
                </div>
                <img width="350" class="img-fluid float-right ml-4 mb-4 mt-1" alt="{{ $titulo }}"
                    src="{{ $imagem }}">

                    {!! $texto !!}
            </div>
        </div>
    </div>
@endsection
@section('js')
    <script type="text/javascript" src="{{ asset('js/jquery.magnific-popup.min.js') }}"></script>
@endsection

resources/views/site/email.blade.php
<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Email</title>
	<style type="text/css" rel="stylesheet" media="all">
		/* Media Queries */
		@media only screen and (max-width: 500px) {
			.button {
				width: 100% !important;
			}
		}

		.fontFamily {
			font-family: Arial, Helvetica, sans-serif;
		}

		/* Layout ------------------------------ */

		.body{margin: 0; padding: 0; width: 100%; background-color: #F2F4F6;}
		.email-wrapper{width: 100%; margin: 0; padding: 0; background-color: #F2F4F6;}

		/* Masthead ----------------------- */

		.email-masthead{padding: 25px 0; margin-left: 20px}
		.email-masthead_name{font-size: 16px; font-weight: bold; color: #2F3133; text-decoration: none; text-shadow: 0 1px 0 white;}

		.email-body{width: 100%; margin: 0; padding: 0; border-top: 1px solid #EDEFF2; border-bottom: 1px solid #EDEFF2; background-color: #FFF;}
		.email-body_inner{width: auto; max-width: 100%; padding: 0;}
		.email-body_cell{padding: 35px;}

		.email-footer{width: auto; max-width: 570px; margin: 0 auto; padding: 0; text-align: center;}
		.email-footer_cell{color: #AEAEAE; padding: 35px; text-align: center;}

		/* Body ------------------------------ */

		.body_action{width: 100%; margin: 30px auto; padding: 0; text-align: center;}
		.body_sub{margin-top: 25px; padding-top: 25px; border-top: 1px solid #EDEFF2;}

		/* Type ------------------------------ */

		.anchor{color: #3869D4;}
		.header-1{margin-top: 0; color: #2F3133; font-weight: bold; text-align: left; font-size: 16px;}
		p{margin-top: 0; color: #74787E; font-size: 16px; line-height: 1.5em;}
		.paragraph-sub{margin-top: 0; color: #74787E; font-size: 12px; line-height: 1.5em;}
		.paragraph-center{text-align: center;}

		/* Buttons ------------------------------ */

		.button{display: block; display: inline-block; width: 200px; min-height: 20px; padding: 10px;
			background-color: #3869D4; border-radius: 3px; color: #ffffff; font-size: 15px; line-height: 25px;
			text-align: center; text-decoration: none; -webkit-text-size-adjust: none;}

			.button--green{background-color: #22BC66;}
			.button--red{background-color: #dc4d2f;}
			.button--blue{background-color: #3869D4;}
			.text-justify{
				text-align: justify;
			}
			.list-unstyled{
				list-style: none;
				margin: 0px;
				padding: 0px;
			}
			.list-unstyled li{
				padding: 2px 0px;
			}
		</style>
		@yield('style')
	</head>

	<body class="body">
		<table width="100%" cellpadding="0" cellspacing="0" >
			<tr>
				<td class="email-wrapper" align="center">
					<table width="40%" cellpadding="0" cellspacing="0" style="margin-top:5%">

						<tr>
							<td class="email-body"  width="100%">
								<table class="email-body_inner" cellpadding="0" cellspacing="0">
									<tr>
										<td class="fontFamily email-body_cell">
											<div class="text-justify">
												<p>E-mail recebido do website:</p>

												<ul class="list-unstyled">
													<li><strong>Nome:</strong> {{ $nome }}</li>
													<li><strong>E-mail:</strong> {{ $email }}</li>
													<li><strong>Assunto:</strong> {{ $assunto }}</li>
													<li><strong>Mensagem:</strong><br />{!! nl2br($mensagem) !!}</li>
												</ul>
											</div>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<table class="email-footer" align="center" width="570" cellpadding="0" cellspacing="0">
									<tr>
										<td class="fontFamily email-footer_cell">
											<p class="paragraph-sub">
												&copy; {{ date('Y') }}

											</p>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</body>
	</html>

resources/views/site/especialidades.blade.php
@section('titulo')
Especialidades
@endsection
@extends('site.tema.base')
@section('conteudo')
    <div class="container">
        <div class="row pt-5">
            <div class="col-md-12">
                {!! $especialidades->texto !!}
            </div>
        </div>
    </div>
@endsection

resources/views/site/index.blade.php
@section('titulo')
    Início
@endsection

@extends('site.tema.base')
@section('conteudo')

@include('site.partes.banner')
@include('site.partes.destaques')

@if(isset($posts) && $posts->count() > 0)
@include('site.partes.ultimos-posts')
@endif
@endsection

resources/views/site/postagem.blade.php
@section('titulo')
{{$post->titulo}}
@endsection
@extends('site.tema.base')
@section('conteudo')
<div class="container">
	<div class="row pt-5">
		<div class="col">
			<div class="blog-posts single-post">
				<article class="post blog-single-post">
					<div class="post-content">
						<h1>{{$post->titulo}}</h1>
						<div class="divider divider-primary divider-small mb-4">
							<hr class="mr-auto">
						</div>
						<div class="post-meta">
							<span>{{$post->data_hora_extenso}}</span>
						</div>

						@if($post->capa)
						<img src="{{$post->imagem}}" class="img-fluid float-left mb-1 mt-2 mr-4" alt="" >
						@endif
						
						{!! $post->texto !!}
					</div>
				</article>
			</div>
		</div>
	</div>
</div>
@endsection

resources/views/site/posts.blade.php
@section('titulo')
Posts
@endsection
@extends('site.tema.base')
@section('conteudo')
<div class="container">
	<div class="row pt-5 pb-4">

		<div class="col">

			<h1 class="mb-0">Posts</h1>
			<div class="divider divider-primary divider-small mb-4">
				<hr class="mr-auto">
			</div>

			@foreach($posts as $post)
			<div class="row mt-4">
				<div class="col">

					<span class="thumb-info thumb-info-side-image thumb-info-no-zoom mt-4">
						<span class="thumb-info-side-image-wrapper p-0 d-none d-md-block">
							<a title="" href="{{ route('posts.postagem', $post->slug) }}">
								<img src="{{$post->imagem}}" class="img-fluid" alt="" >
							</a>
						</span>
						<span class="thumb-info-caption">
							<span class="thumb-info-caption-text">
								<h2 class="mb-3 mt-1"><a title="" class="text-dark" href="{{ route('posts.postagem', $post->slug) }}">{{$post->titulo}}</a></h2>
								<span class="post-meta">
									<span>{{$post->data_hora_extenso}}</span>
								</span>
								<p class="text-3 px-0 px-md-3">{!! $post->parteDescricaoMaior !!}</p>
								<a class="mt-3" href="{{ route('posts.postagem', $post->slug) }}">Leia Mais <i class="fas fa-long-arrow-alt-right"></i></a>
							</span>
						</span>
					</span>

				</div>
			</div>
			@endforeach
			<div class="row mt-4">
				<div class="col-sm-12">
					<nav class="text-center">
						{{ $posts->appends(Request::all())->render() }}
					</nav>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection

resources/views/site/sobre.blade.php
@section('titulo')
Conheça o Profissional
@endsection

@extends('site.tema.base')
@section('conteudo')
    <div class="container">
        <div class="row pt-5">
            <div class="col-lg-12">
                <h1 class="mb-0">Sobre</h1>
                <div class="divider divider-primary divider-small mb-4">
                    <hr class="mr-auto">
                </div>
                <b>O perfil profissional
                </b>
                <p class="mt-4">
                    Na prática clínica realizo acompanhamento psicoterápico considerando a influência dos vínculos afetivos na construção do psiquismo, nas vivências emocionais e seus efeitos nas formas de comunicação e interação com outras pessoas. Considero, em especial, as particularidades dos vínculos formados e modificados em situações de alterações cognitivas em diferentes contextos e fases do ciclo vital individual.
                </p>
                <p class="mt-4">
                    Na prática acadêmica atual dedico-me à pesquisa de métodos de acesso e avaliação de fenômenos cognitivos. Especificamente, estudo a forma como o pensamento e a linguagem são articulados a partir do contexto e da interação social.
                </p>
                <b>A especialidade
                </b>
                <p class="mt-4">A especialidade profissional foi construída naturalmente ao longo de mais de uma década de prática clínica, nos contextos da saúde privada e da saúde pública. No exercício profissional na área da neuropsicologia, onde trabalhei com os procedimentos de avaliação e de reabilitação neuropsicológica, tive um contato muito próximo com crianças, adolescentes, adultos e idosos com alterações cognitivas variando desde as alterações mais leves e sutis até as mais invasivas, desorganizadas ou incapacitantes. Invariavelmente durante a vivência clínica acabei me aproximando das famílias dessas pessoas com dificuldades e pude entender como um transtorno do neurodesenvolvimento, uma lesão neurológica adquirida, uma má-formação neurológica ou alguma doença neurodegenerativa (demência), por exemplo, afeta a família como um todo e de formas diferentes. Os vínculos afetivos estabelecidos antes da doença ser identificada são modificados, os filhos acabam tendo que cuidar dos próprios pais, os pais precisam ajustar as expectativas quando ocorrem alterações no desenvolvimento de seus filhos, conflitos familiares antigos que acabam aparecendo, novos conflitos familiares que acabam tomando forma, também faziam parte da minha rotina como neuropsicólogo. Naturalmente acabei vendo a minha prática clínica e o meu interesse pessoal serem direcionados para o manejo das transformações dos vínculos afetivos. A partir desse momento acabei me dedicando aos processos emocionais comumente encontrados ao longo do ciclo vital, tanto no contexto da neuropsicologia como no contexto de pessoas com o desenvolvimento típico (sem alterações neuropsicológicas).
                </p>
                <p class="mt-4">No cerne da Psicologia do Desenvolvimento, a Teoria do Apego, elaborada pelo psiquiatra John Bowlby (1969; 1973; 1980) e pela psicóloga Mary Ainsworth (1967), mostra-se como um recurso clínico teórico e técnico capaz de unificar os processos determinantes para o desenvolvimento humano. A Teoria do Apego considera a importância dos fenômenos biológicos que são próprios da espécie (filogênese) e particulares de cada pessoa (ontogênese), em um sistema comportamental que interage diretamente com o desenvolvimento físico, emocional, cognitivo e social.
                </p>
            </div>
           
        </div>
    </div>
@endsection